Package com.google.android.exoplayer2

## Class MediaItem.DrmConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.DrmConfiguration

- Enclosing class:
    MediaItem

      public static final class MediaItem.DrmConfiguration
      extends Object

  DRM configuration for a media item.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `forceDefaultLicenseUri` | Whether to force use of `licenseUri` even if the media specifies its own DRM license server URI.
    `Uri` | `licenseUri` | Optional default DRM license server `Uri`.
    `boolean` | `multiSession` | Whether the DRM configuration is multi session enabled.
    `boolean` | `playClearContentWithoutKey` | Whether clear samples within protected content should be played when keys for the encrypted part of the content have yet to be loaded.
    `Map<String,​String>` | `requestHeaders` | The headers to attach to the request to the DRM license server.
    `List<Integer>` | `sessionForClearTypes` | The types of clear tracks for which to use a DRM session.
    `UUID` | `uuid` | The UUID of the protection scheme.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `byte[]` | `getKeySetId()` | Returns the key set ID of the offline license.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public final UUID uuid

      The UUID of the protection scheme.

    - #### licenseUri

          @Nullable
          public final Uri licenseUri

      Optional default DRM license server `Uri`. If `null` then the DRM license server must be specified by the media.

    - #### requestHeaders

          public final Map<String,​String> requestHeaders

      The headers to attach to the request to the DRM license server.

    - #### multiSession

          public final boolean multiSession

      Whether the DRM configuration is multi session enabled.

    - #### playClearContentWithoutKey

          public final boolean playClearContentWithoutKey

      Whether clear samples within protected content should be played when keys for the encrypted part of the content have yet to be loaded.

    - #### forceDefaultLicenseUri

          public final boolean forceDefaultLicenseUri

      Whether to force use of `licenseUri` even if the media specifies its own DRM license server URI.

    - #### sessionForClearTypes

          public final List<Integer> sessionForClearTypes

      The types of clear tracks for which to use a DRM session.

  - ### Method Detail

    - #### getKeySetId

          @Nullable
          public byte[] getKeySetId()

      Returns the key set ID of the offline license.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`